
Foreman - Bug #31399

Snapshot tests must take plugins into consideration

11/26/2020 09:02 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8143,

https://github.com/theforeman/foreman/p

ull/8158

  

Description

Some templates render different output when a plugin is enabled/disabled:

https://github.com/theforeman/foreman/blob/develop/app/views/unattended/provisioning_templates/provision/preseed_default.erb#L1

1

We either need to stub this call to return always false or true.

Associated revisions

Revision 827b7d87 - 04/27/2021 01:07 AM - Lukas Zapletal

Fixes #31399 - snapshot tests exclude plugins

History

#1 - 11/26/2020 09:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8143 added

#2 - 11/26/2020 09:34 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8158 added

#3 - 04/27/2021 01:07 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 04/27/2021 02:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|827b7d874b24fa0e1759dd5a5c9b515ca0a26fc8.
